Last Comment Bug 595026 - Malformed font leads to hang [@FindSegment]
: Malformed font leads to hang [@FindSegment]
Status: VERIFIED FIXED
: verified1.9.2
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 1.9.2 Branch
: x86 Mac OS X
: -- critical (vote)
: ---
Assigned To: Jonathan Kew (:jfkthame)
:
Mentors:
Depends on: CVE-2010-3768
Blocks: fuzzing-fonts
  Show dependency treegraph
 
Reported: 2010-09-09 16:56 PDT by Christoph Diehl [:posidron]
Modified: 2012-05-01 06:50 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
final+
.13-fixed
.16-fixed


Attachments
testcase (173.33 KB, application/zip)
2010-09-09 16:56 PDT, Christoph Diehl [:posidron]
no flags Details
callstack (7.28 KB, text/plain)
2010-09-09 16:57 PDT, Christoph Diehl [:posidron]
no flags Details

Description Christoph Diehl [:posidron] 2010-09-09 16:56:29 PDT
Created attachment 473820 [details]
testcase

Table: b'prop'
Number of replaced values: 8
Offset:  10/0x00000a  Value: ['00', '00', '00', '00', '00', '00', '00', '01']
Offset: 107/0x00006b  Value: ['ff', 'c4', '40', '0f']
Offset: 267/0x00010b  Value: ['80', '00']
Offset: 458/0x0001ca  Value: ['7f', 'ff', 'ff', 'ff']
Offset: 740/0x0002e4  Value: ['40', '00']
Offset: 749/0x0002ed  Value: ['ff', 'ff', 'ff', 'ff']
Offset: 771/0x000303  Value: ['ff', 'c4', '40', '0f']
Offset: 883/0x000373  Value: ['7f', 'ff']

Execute the provided html file.
Comment 1 Christoph Diehl [:posidron] 2010-09-09 16:57:12 PDT
Created attachment 473821 [details]
callstack
Comment 2 Jesse Ruderman 2010-09-14 15:15:24 PDT
Missing part of the stack.  Btw, a stack that shows library names for each function is useful for triage.
Comment 3 Jonathan Kew (:jfkthame) 2010-09-29 05:21:35 PDT
This will be fixed by the OTS sanitizer (bug 527276).
Comment 4 Al Billings [:abillings] 2010-11-18 14:23:43 PST
Verified fixed in 1.9.2.13 with Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6;
en-US; rv:1.9.2.13pre) Gecko/20101118 Namoroka/3.6.13pre using testcase. Test
no longer crashes as it does in 1.9.2.12.

Note You need to log in before you can comment on or make changes to this bug.